
Katello - Feature #4086

Need a reliable way in katello-configure puppet to determine if we are in a SCL env

01/16/2014 05:47 PM - Katello Issue Migration

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently we have:

if ($operatingsystem  "RedHat" or $operatingsystem  "CentOS"){

     $scl_prefix = 'ruby193-'

+    $scl_root = '/opt/rh/ruby193/root'

 which may eventually come back to bite us when we no longer require SCL in RHEL and CentOS.  Need a more reliable SCL

detection routine we can rely on

Created: mccun934 on May 19, 2013 17:13 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/2334

History

#1 - 06/03/2014 08:01 PM - Eric Helms

- Status changed from New to Closed

- Triaged set to No

Using new katello-installer, closing due to now irrelevant.

#2 - 06/05/2014 03:32 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/21/2014 02:28 PM - Eric Helms

- translation missing: en.field_release set to 13
